|
Your continuous donations keep RPGWatch running!
RPGWatch Forums » Search Forums » Search Results
Showing results 1 to 1 of 1
Search took 0.01 seconds.

Search: Posts Made By: radament79

Forum: The Precursors July 23rd, 2012, 18:49
Replies: 14
Views: 3,311
Posted By radament79
Thanks ! So basically the correct installation…

Thanks !
So basically the correct installation to play Precursors might be this?
1) GG Version Install
2) Sound fix 1 & 2 from GG
3) Unofficial Patch 1.6

am i wrong?
Showing results 1 to 1 of 1

 
Forum Jump
All times are GMT +2. The time now is 21:27.
Powered by vBulletin® Version 3.8.8
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright by RPGWatch